## Bacula-Web

[![Documentation Status](https://readthedocs.org/projects/bacula-web/badge/?version=latest)](http://docs.bacula-web.org/en/master/?badge=latest)
[![Maintainability](https://api.codeclimate.com/v1/badges/db37b493624cee584d85/maintainability)](https://codeclimate.com/github/bacula-web/bacula-web/maintainability)
[![Scrutinizer Code Quality](https://scrutinizer-ci.com/g/bacula-web/bacula-web/badges/quality-score.png?b=develop)](https://scrutinizer-ci.com/g/bacula-web/bacula-web/?branch=develop)

Bacula-Web is a web based tool written in PHP that provide you a summarized view of your [Bacula](https://www.bacula.org) backup infrastructure. 
It obtain his information from the Bacula catalog database.

This is my little contribution to [Bacula Community](http://www.bacula.org) project.

### Features

Bacula-Web main features

* **easy to setup**
* **Install once** and monitor as much Bacula directors you need
* **Secure**: Users authentication is enabled by default, so no Bacula's information disclosed :)
* **Dashboard**: keep an eye on all Bacula resources like backup jobs result, pools, volumes, etc. in one shot
* **Translations**: use Bacula-Web in your language (more than 15 languages available)
* **Jobs report**: monitor backup jobs from a single page (filter and options available)
* **Job Files report**: list files and folders of a backup job
* **Directors report**: high-level report pages for all configured directors
* **Pools and volumes**: keep an eye on all your Bacula pools and volumes

### Documentation

Visit [Bacula-Web documentation](http://docs.bacula-web.org) for more informations about installation, configuration, upgrade, etc.

### Installation

Bacula-Web can be installed using the provided compressed archive or using Composer, check [Installation page](http://docs.bacula-web.org/en/latest/02_install/index.html) for more details

You'll find latest stable release [here](https://www.bacula-web.org/download/)

### Support

Submit a bug report or feature request using [GitHub project issues](https://github.com/bacula-web/bacula-web/issues)

### Contribute

#### Translations

If you want to help translating Bacula-Web in your language, please check the [Contribute to translation](http://docs.bacula-web.org/en/latest/04_contribute/translations.html) page

#### Developpment

You can contribute by submitting a GitHub pull request, please have a look the [contribution guide](http://docs.bacula-web.org/en/latest/04_contribute/development.html) first.

### License

Bacula-Web source code, web site and documentation are licensed under **GNU GPLv2**

For more details, see [LICENSE](https://github.com/bacula-web/bacula-web/blob/master/LICENSE)

### Support the project

If you :heart: Bacula-Web project and wants to encourage the efforts, or think that it deserve a little help, please consider doing a small donation using the link below. :hugs:

[Support Bacula-Web project](https://www.paypal.com/donate?hosted_button_id=DUU89L5HAGSAS)
